#include <bits/stdc++.h>
using namespace std;
string x,y,s;
int n,k;
int main(){
   cin>>x>>y;
   if(x.size()>=y.size()){
      k=x.size()-y.size();
      n=x.size()-1;
      for(int i=1;i<=k;i++){
         y.insert(0,".");
      }
      for(int i=0;i<=n;i++){
         if(x[i]==y[i]){
            s+=x[i];
            s+=y[i];
         }
         else{
            s+=max(x[i],y[i]);
         }
      }
   }
   if(x.size()<y.size()){
      n=y.size()-1;
      k=y.size()-x.size();
      for(int i=1;i<=k;i++){
         x.insert(0,".");
      }
      for(int i=0;i<=n;i++){
         if(x[i]==y[i]){
            s+=x[i];
            s+=y[i];
         }
         else{
            s+=max(x[i],y[i]);
         }
      }
   }
   cout<<s<<endl;
   return 0;
}